[LFS Trac] #1863: Bash depends on Bison

LFS Trac trac at linuxfromscratch.org
Fri Nov 24 11:59:13 PST 2006


#1863: Bash depends on Bison
-------------------------------------------+--------------------------------
 Reporter:  jciccone at linuxfromscratch.org  |        Owner:  matthew at linuxfromscratch.org
     Type:  task                           |       Status:  new                         
 Priority:  high                           |    Milestone:  6.3                         
Component:  Book                           |      Version:  SVN                         
 Severity:  major                          |   Resolution:                              
 Keywords:  bash bison yacc                |  
-------------------------------------------+--------------------------------
Changes (by dnicholson at linuxfromscratch.org):

  * owner:  dnicholson at linuxfromscratch.org => matthew at linuxfromscratch.org
  * status:  assigned => new

Comment:

 Matthew,

 Take the ticket and any other LFS ones you want to work on that I assigned
 to myself. Any time I have coming up will be on BLFS until a release can
 be put together.

 As for minimum version, I've never tested it. The comment in the
 support/aclocal.m4 says bison-1.26. Could be a very outdated comment,
 though.

 http://linuxfromscratch.org/pipermail/lfs-support/2006-August/031192.html

 The other thing to think about is that the depencency on bison is only
 introduced if one of the *.y files is changed. I haven't checked whether
 that's the case with the bash-3.2 patches.

 But, you never know when these things will creep up. Same thing with
 patched *.l files and flex. Which is why I mentioned adding bison _and_
 flex to the host requirements. It's up to you which direction to go.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/lfs/ticket/1863>
LFS Trac <http://wiki.linuxfromscratch.org/lfs/>
Linux From Scratch: Your Distro, Your Rules.



More information about the lfs-book mailing list